<html>
<head>
<title>OGRE: Ogre::InstancedGeometry::InstancedObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>::<a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html">InstancedObject</a></div>
<h1>Ogre::InstancedGeometry::InstancedObject Class Reference</h1><!-- doxytag: class="Ogre::InstancedGeometry::InstancedObject" --><code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1InstancedGeometry_1_1InstancedObject-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c">TransformSpace</a> { <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06cd863ea15dc79cc72d760335afe073c8b">TS_LOCAL</a>, 
<a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c28433c670f3917f9491bf08bcad0694c">TS_PARENT</a>, 
<a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c9a8cf09109de7ea1fa945300b111af2d">TS_WORLD</a>
 }</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">list of Geometry Buckets that contains the instanced object  <a href="#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#2f27055c6a7543e07eeb31ec5f5605b7">InstancedObject</a> (int index)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#d834402574bd3635f1db982f64c93792">InstancedObject</a> (int index, <a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *skeleton, <a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *animations)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ac487b2a9b134673dbd0d0cf128a0c3b">~InstancedObject</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#8d5c2bf94296b0797e200e78b6577309">setPosition</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> position)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a256ac26e13f51db42300f391fd92dc3">getPosition</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#fadb7563f8c75ad79b365033976ff64f">yaw</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#efa3c269808cc42b1ba4f0e1e798fef1">pitch</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#d779744914b50047d406d82dc35bda72">roll</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ea450cfe059922e356d7a05edb097e98">rotate</a> (const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;q)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#3cec1ca50cbf56759da97e4cbb49762e">setScale</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;scale)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6cfaf873d66502859f8f6b87b07d70a5">addBucketToList</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *bucket)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4de88a1c0a586a4743746f6cd1dd1c9e">needUpdate</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#8f46c44974b4d94a98d6e427eca344b1">getGeometryBucketList</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7379a1af9f3d74c861953ae2aa2a2130">translate</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;axes, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;move)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#f92c230d50fd79d13544591e0d82592d">translate</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;d)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#c6a3eff7b015165d31d899e419208086">getLocalAxes</a> (void) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#1e5af2d803336fd11f7b551cee044e5b">updateAnimation</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0">getAnimationState</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name) const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4d1e463a0f7548fc6b214e5eb82fc5c9">getSkeletonInstance</a> (void)</td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#95f4ab8c33297e92134f2dc7264fbc4c">mGeometryBucketList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ea2753a5cad7e9667db0c5d70edee91e">mIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#42dd164d1a22f2b5d81f3b960cdf78e6">mTransformation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#438337274251b4be86e4262e4a12110e">mOrientation</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#28cd1d0319fe373ec8f0c49ddfb5f42b">mScale</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#06be9bb180215197d95f3223eda93821">mPosition</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#da671ff66786abf2c60c332f670e853f">mSkeletonInstance</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a81bb5f5a50b38f97da1ee6e2bc3acb3">mBoneWorldMatrices</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cached bone matrices, including any world transform.  <a href="#a81bb5f5a50b38f97da1ee6e2bc3acb3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7abb7e5b6b8487977c412174c46a4a68">mBoneMatrices</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Cached bone matrices in skeleton local space.  <a href="#7abb7e5b6b8487977c412174c46a4a68"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4b56beafde52b601500f546fa4c6e570">mAnimationState</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">State of animation for animable meshes.  <a href="#4b56beafde52b601500f546fa4c6e570"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9540a22e67e987edea356a1167a644cd">mNumBoneMatrices</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9cf770df6c5caf7101f14e8377675753">mFrameAnimationLastUpdated</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Records the last frame in which animation was updated.  <a href="#9cf770df6c5caf7101f14e8377675753"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#19c0bb2442a83b4f686c162653cd8ac0">GeometryBucket</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00243">243</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="51bfe4a4e67c6ba3ed88dcd6cbd6a0ed"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::GeometryBucketList" ref="51bfe4a4e67c6ba3ed88dcd6cbd6a0ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">Ogre::InstancedGeometry::InstancedObject::GeometryBucketList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
list of Geometry Buckets that contains the instanced object 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00257">257</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Enumeration Documentation</h2>
<a class="anchor" name="6c17bdaf09f0904c9463a3e955b8f06c"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::TransformSpace" ref="6c17bdaf09f0904c9463a3e955b8f06c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#6c17bdaf09f0904c9463a3e955b8f06c">Ogre::InstancedGeometry::InstancedObject::TransformSpace</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" name="6c17bdaf09f0904c9463a3e955b8f06cd863ea15dc79cc72d760335afe073c8b"></a><!-- doxytag: member="TS_LOCAL" ref="6c17bdaf09f0904c9463a3e955b8f06cd863ea15dc79cc72d760335afe073c8b" args="" -->TS_LOCAL</em>&nbsp;</td><td>
Transform is relative to the local space. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="6c17bdaf09f0904c9463a3e955b8f06c28433c670f3917f9491bf08bcad0694c"></a><!-- doxytag: member="TS_PARENT" ref="6c17bdaf09f0904c9463a3e955b8f06c28433c670f3917f9491bf08bcad0694c" args="" -->TS_PARENT</em>&nbsp;</td><td>
Transform is relative to the space of the parent node. </td></tr>
<tr><td valign="top"><em><a class="anchor" name="6c17bdaf09f0904c9463a3e955b8f06c9a8cf09109de7ea1fa945300b111af2d"></a><!-- doxytag: member="TS_WORLD" ref="6c17bdaf09f0904c9463a3e955b8f06c9a8cf09109de7ea1fa945300b111af2d" args="" -->TS_WORLD</em>&nbsp;</td><td>
Transform is relative to world space. </td></tr>
</table>
</dl>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00247">247</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2f27055c6a7543e07eeb31ec5f5605b7"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::InstancedObject" ref="2f27055c6a7543e07eeb31ec5f5605b7" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::InstancedGeometry::InstancedObject::InstancedObject           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d834402574bd3635f1db982f64c93792"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::InstancedObject" ref="d834402574bd3635f1db982f64c93792" args="(int index, SkeletonInstance *skeleton, AnimationStateSet *animations)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::InstancedGeometry::InstancedObject::InstancedObject           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a> *&nbsp;</td>
          <td class="paramname"> <em>skeleton</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a> *&nbsp;</td>
          <td class="paramname"> <em>animations</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ac487b2a9b134673dbd0d0cf128a0c3b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::~InstancedObject" ref="ac487b2a9b134673dbd0d0cf128a0c3b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::InstancedGeometry::InstancedObject::~InstancedObject           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8d5c2bf94296b0797e200e78b6577309"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setPosition" ref="8d5c2bf94296b0797e200e78b6577309" args="(Vector3 position)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::setPosition           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&nbsp;</td>
          <td class="paramname"> <em>position</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="a256ac26e13f51db42300f391fd92dc3"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getPosition" ref="a256ac26e13f51db42300f391fd92dc3" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&amp; Ogre::InstancedGeometry::InstancedObject::getPosition           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="fadb7563f8c75ad79b365033976ff64f"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::yaw" ref="fadb7563f8c75ad79b365033976ff64f" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::yaw           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="efa3c269808cc42b1ba4f0e1e798fef1"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::pitch" ref="efa3c269808cc42b1ba4f0e1e798fef1" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::pitch           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d779744914b50047d406d82dc35bda72"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::roll" ref="d779744914b50047d406d82dc35bda72" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::roll           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>angle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="ea450cfe059922e356d7a05edb097e98"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::rotate" ref="ea450cfe059922e356d7a05edb097e98" args="(const Quaternion &amp;q)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::rotate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>q</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="3cec1ca50cbf56759da97e4cbb49762e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::setScale" ref="3cec1ca50cbf56759da97e4cbb49762e" args="(const Vector3 &amp;scale)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::setScale           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>scale</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="6cfaf873d66502859f8f6b87b07d70a5"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::addBucketToList" ref="6cfaf873d66502859f8f6b87b07d70a5" args="(GeometryBucket *bucket)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::addBucketToList           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *&nbsp;</td>
          <td class="paramname"> <em>bucket</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4de88a1c0a586a4743746f6cd1dd1c9e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::needUpdate" ref="4de88a1c0a586a4743746f6cd1dd1c9e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::needUpdate           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="8f46c44974b4d94a98d6e427eca344b1"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList" ref="8f46c44974b4d94a98d6e427eca344b1" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a>&amp; Ogre::InstancedGeometry::InstancedObject::getGeometryBucketList           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00288">288</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7379a1af9f3d74c861953ae2aa2a2130"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::translate" ref="7379a1af9f3d74c861953ae2aa2a2130" args="(const Matrix3 &amp;axes, const Vector3 &amp;move)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::translate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>axes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>move</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="f92c230d50fd79d13544591e0d82592d"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::translate" ref="f92c230d50fd79d13544591e0d82592d" args="(const Vector3 &amp;d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::translate           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>d</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="c6a3eff7b015165d31d899e419208086"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getLocalAxes" ref="c6a3eff7b015165d31d899e419208086" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::InstancedGeometry::InstancedObject::getLocalAxes           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="1e5af2d803336fd11f7b551cee044e5b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::updateAnimation" ref="1e5af2d803336fd11f7b551cee044e5b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::InstancedObject::updateAnimation           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getAnimationState" ref="2f8ebb5bb9f9d61ff9a5bbc8afe5b2a0" args="(const String &amp;name) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationState.html">AnimationState</a>* Ogre::InstancedGeometry::InstancedObject::getAnimationState           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="4d1e463a0f7548fc6b214e5eb82fc5c9"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance" ref="4d1e463a0f7548fc6b214e5eb82fc5c9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a>* Ogre::InstancedGeometry::InstancedObject::getSkeletonInstance           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00294">294</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="19c0bb2442a83b4f686c162653cd8ac0"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::GeometryBucket" ref="19c0bb2442a83b4f686c162653cd8ac0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a><code> [friend]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00245">245</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="95f4ab8c33297e92134f2dc7264fbc4c"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList" ref="95f4ab8c33297e92134f2dc7264fbc4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#51bfe4a4e67c6ba3ed88dcd6cbd6a0ed">GeometryBucketList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#95f4ab8c33297e92134f2dc7264fbc4c">Ogre::InstancedGeometry::InstancedObject::mGeometryBucketList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00259">259</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ea2753a5cad7e9667db0c5d70edee91e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mIndex" ref="ea2753a5cad7e9667db0c5d70edee91e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#ea2753a5cad7e9667db0c5d70edee91e">Ogre::InstancedGeometry::InstancedObject::mIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00260">260</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="42dd164d1a22f2b5d81f3b960cdf78e6"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mTransformation" ref="42dd164d1a22f2b5d81f3b960cdf78e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#42dd164d1a22f2b5d81f3b960cdf78e6">Ogre::InstancedGeometry::InstancedObject::mTransformation</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00261">261</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="438337274251b4be86e4262e4a12110e"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mOrientation" ref="438337274251b4be86e4262e4a12110e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Quaternion.html">Quaternion</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#438337274251b4be86e4262e4a12110e">Ogre::InstancedGeometry::InstancedObject::mOrientation</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00262">262</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="28cd1d0319fe373ec8f0c49ddfb5f42b"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mScale" ref="28cd1d0319fe373ec8f0c49ddfb5f42b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#28cd1d0319fe373ec8f0c49ddfb5f42b">Ogre::InstancedGeometry::InstancedObject::mScale</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00263">263</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="06be9bb180215197d95f3223eda93821"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mPosition" ref="06be9bb180215197d95f3223eda93821" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#06be9bb180215197d95f3223eda93821">Ogre::InstancedGeometry::InstancedObject::mPosition</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00264">264</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="da671ff66786abf2c60c332f670e853f"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance" ref="da671ff66786abf2c60c332f670e853f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SkeletonInstance.html">SkeletonInstance</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#da671ff66786abf2c60c332f670e853f">Ogre::InstancedGeometry::InstancedObject::mSkeletonInstance</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00265">265</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a81bb5f5a50b38f97da1ee6e2bc3acb3"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices" ref="a81bb5f5a50b38f97da1ee6e2bc3acb3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#a81bb5f5a50b38f97da1ee6e2bc3acb3">Ogre::InstancedGeometry::InstancedObject::mBoneWorldMatrices</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Cached bone matrices, including any world transform. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00267">267</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7abb7e5b6b8487977c412174c46a4a68"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mBoneMatrices" ref="7abb7e5b6b8487977c412174c46a4a68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#7abb7e5b6b8487977c412174c46a4a68">Ogre::InstancedGeometry::InstancedObject::mBoneMatrices</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Cached bone matrices in skeleton local space. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00269">269</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b56beafde52b601500f546fa4c6e570"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mAnimationState" ref="4b56beafde52b601500f546fa4c6e570" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnimationStateSet.html">AnimationStateSet</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#4b56beafde52b601500f546fa4c6e570">Ogre::InstancedGeometry::InstancedObject::mAnimationState</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
State of animation for animable meshes. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00271">271</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9540a22e67e987edea356a1167a644cd"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices" ref="9540a22e67e987edea356a1167a644cd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9540a22e67e987edea356a1167a644cd">Ogre::InstancedGeometry::InstancedObject::mNumBoneMatrices</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00272">272</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9cf770df6c5caf7101f14e8377675753"></a><!-- doxytag: member="Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated" ref="9cf770df6c5caf7101f14e8377675753" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1InstancedGeometry_1_1InstancedObject.html#9cf770df6c5caf7101f14e8377675753">Ogre::InstancedGeometry::InstancedObject::mFrameAnimationLastUpdated</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Records the last frame in which animation was updated. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00274">274</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
